Contents
 WinGrep Contents:

AWS
AIMPLIB
WinGrep

BCWFIND.DLL


AWS Contents
 AWS Contents:

Purpose of Auto Resource Workshop
Using AWS with BCW
Drag & Drop

Auto BCW utilities


Purpose of AWS
Purpose of AWS:
AWS enables you to automatically start resource workshop either while running BCW or dropping a file on it.


Using AWS with BCW
Using AWS with BCW:
1	Open an BCW project file containing either a .RC or a .RES item
2	Open one ot the project items (not the resources).
3	Double-click the AWS icon or select System|Start Workshop
Resource Workshop will now start with the RC or RES file loaded ready for editing.


AWS Drag&Drop
AWS Drag&Drop:
Drag a BMP, RES, RC, or ICO file to the AWS icon and Resource Workshop will be started with the file ready for editing


AIMPLIB Contents
 AIMPLIB Contents:

Purpose of Auto IMPLIB
Using AIMPLIB with BCW
Drag & Drop

Auto BCW utilities


Purpose of AIMPLIB
Purpose of AIMPLIB:
AIMPLIB enables you to in an easier way create an import library of a/your DLL. Usually you have to start IMPLIBW and select File|Select... With AIMPLIB you can simply more simple way


Using AIMPLIB with BCW
Using AIMPLIB with BCW:
1	Open an BCW project file
2	Make the project
3	Double-click the AIMPLIB icon or select System|Auto IMPLIB
The DOS version of the Import Librarian (IMPLIB.EXE) will be started to produce an import library of you DLL.


AIMPLIB Drag&Drop
AIMPLIB Drag&Drop:
Drag a DLL or PRJ file to the AIMPLIB icon and the DOS version of the Import Librarian (IMPLIB.EXE) will be started to produce an import library of you DLL.


Contents
 Contents:

Auto Resource Workshop
Auto Implib
WinGrep
BCWFIND functions


Functions
BCWFIND.DLL Functions:

GetBCWProjectItem
GetBCWProjectItems
GetBCWProjectName
GetBCWProjectWindow
GetBCWWindow
GotoBCWFileAndLineNumber


GetBCWProjectItem

Declaration:
BOOL PASCAL FAR _export GetBCWProjectItem(HWND hWndBCWProject, int index, LPSTR name, LPSTR location);

Parameters:

hWndBCWProject	Handle to the BCW project window. The handle is usually the one returned by GetBCWProjectWindow.
index	Index to the project item. The value is zero-based.
name	Buffer for storing the name of the project item. The buffer is usually filled with name+extension, but sometimes BCWFIND is able to compute the full path name. In this case the full path name (drive+directory+name+extension) is stored in name and location is empty. Because name can be filled with the full path name the buffer should be at least 144 characters long.
location	Buffer for returning the location of the project item. If BCWFIND is not able to compute the full path name of the item location is usually filled with ".", but it can also be filled with "subdir", "..", "..\.." "e:..\subdir" or the like. The buffer should be at least 144 chacters long.

Returns
GetBCWProjectItem return succes or not. If GetBCWProjectItem thinks everything went OK it returns TRUE otherwise FALSE.

See also: GetBCWProjectWindow


GetBCWProjectItems

Declaration:
int  PASCAL FAR _export GetBCWProjectItems(HWND hWndBCWProject);

Parameters:

hWndBCWProject	Handle to the BCW project window. The handle is usually the one returned by GetBCWProjectWindow.

Returns
GetBCWProjectItems returns the number of items in the project(window). Note: this value is usually 1 more than there actually are because the project window contains an extra empty item allowing the user to move down an empty item.

See also: GetBCWProjectWindow, GetBCWProjectItem


GetBCWProjectName

Declaration:
BOOL PASCAL FAR _export GetBCWProjectName(LPSTR buf);

Parameters:

buf	Buffer to receive the full path name of the project file. This buffer should be at least 144 characters long.

Returns

GetBCWProjectName returns wether or not it was able to compute the full name of the project file. On success it return TRUE. on failure it returns FALSE. Possible failures: BCW not running, no project loaded or no file is being edited.

See also: GetBCWProjectWindow


GetBCWProjectWindow

Declaration:
HWND PASCAL FAR _export GetBCWProjectWindow(void);

Returns

GetBCWProjectWindow returns the handle to the BCW project window or NULL on error.

See also: GetBCWProjectName


GetBCWWindow

Declaration:
HWND PASCAL FAR _export GetBCWWindow(void);

Returns

GetBCWWindow returns the handle to the BCW window or NULL on error. There are only two possible errors: BCW is not loaded or it is not BCW 3.1

See also: GetBCWProjectWindow


GotoBCWFileAndLineNumber

Declaration:
BOOL PASCAL FAR _export GotoBCWFileAndLineNumber(LPSTR FileName,int LineNumber);

Parameters:

FileName	Name of the wanted file.
LineNumber	The number of the line.

NOTE:
Currently GotoBCWFileAndLineNumber does not goto the file and line number. The reason is that I could not get it right. First i could not get BCW to invoke any of its dialog boxes (File|Open or Search|Goto line number) and finally when I succeeded Window broke down. Oh well...

If the file requested is not opened the file name is inserted into the Clipboard otherwise the line number is inserted into the Clipboard. In this way the user can easily open the file or go to the line.

I would be very pleased if someone told me how to fool BCW into thinking that the user want to open a certain file and/or goto a line number.


WinGrep Contents
 WinGrep Contents:

Purpose of WinGrep
Dialogs
Search dialog
Search results dialog
Auto BCW utilities


WinGrep Purpose
WinGrep Purpose:
WinGrep substitutes the GREP menu item which exists in the DOS version of BC.


WinGrep Search Dialog

Search string	Specifies the search string. If your have checked Regular Expression you can also enter GREP wildcards. For a description of these either enter "grep ?" at the DOS prompt or look in the BCW help file.
Case sensitive	Specifies wether or not GREP should treat [a-z] like [A-Z].
Whole words only	Specifies wether or not the search string should be a word an not a part of another word (like GifView)
Regular expression	Specifies wether or not wildcards in the search string should be treated like wildcards or just as any other characters.
Files	Specifies which files to search.
Search subdir	Specifies wether or not to search in files in subdirectories.


WinGrep Search Results Dialog
This dialog lets you view the search results. If your version of BCWFIND.DLL supports Goto you will be able to got directly to the location where the string was found.